// "API" for other plugins

package net.ardakaz.griefalert;

import org.bukkit.Bukkit;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

public class GriefAlertEvent extends Event {
	private static final HandlerList HANDLERS = new HandlerList();
    private String alert = "";

    public GriefAlertEvent(String alert) {
        this.alert = alert;
        
        // Discord hook for 1.21.5
        if (Bukkit.getServer().getPluginManager().getPlugin("DiscordSRV") != null) {
        	Bukkit.dispatchCommand(Bukkit.getConsoleSender(), "discord broadcast #grief-alerts " + this.getAlert());
        }
    }

	public static HandlerList getHandlerList() {
        return HANDLERS;
    }

    @Override
    public HandlerList getHandlers() {
        return HANDLERS;
    }

    public String getAlert() {
        return this.alert;
    }
}